Package pygccxml :: Package declarations :: Module calldef :: Class operator_t

# type operator_t

source code

    object --+
             |
            operator_t

Known Subclasses:
  - casting_operator_t
  - , free_operator_t
  - , member_operator_t

base class for "operator" declarations

Instance Methods

__init__(self) | source code

Class Variables
| OPERATOR_WORD_LEN = `8`

Properties
| symbol operator's symbol.

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### symbol

operator's symbol. For example: operator+, symbol is equal to '+'